Bug 1659733

Summary: Missing Link
Product: [Fedora] Fedora Reporter: Karel Volný <kvolny>
Component: dislockerAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 29CC: extras-qa, martin.koster, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: dislocker-0.7.1-17.fc32 dislocker-0.7.1-17.fc31 dislocker-0.7.1-17.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1583480 Environment:
Last Closed: 2019-11-27 20:22:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1583480    
Bug Blocks:    

Description Karel Volný 2018-12-15 22:32:56 UTC
same on Fedora

needed to do

ln -s /usr/lib64/lidislocker.so.0.7.1 /usr/lib64/lidislocker.so

+++ This bug was initially created as a clone of Bug #1583480 +++

Description of problem:
# dislocker-find
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- libdislocker (LoadError)
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /bin/dislocker-find:26:in `<main>'


Version-Release number of selected component (if applicable):
CentOS Linux release 7.5.1804 (Core) 
dislocker.x86_64 0:0.7.1-7.el7


How reproducible:
# yum install dislocker
# dislocker-find


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
list of bitlocker devices 

Additional info:
creating a symlink /usr/lib64/dislocker.so => /usr/lib64/dislocker.so.0.7.1 give the expected result

Comment 1 Karel Volný 2018-12-15 22:47:01 UTC
(In reply to Karel Volný from comment #0)
> ln -s /usr/lib64/lidislocker.so.0.7.1 /usr/lib64/lidislocker.so

I mean

ln -s /usr/lib64/libdislocker.so.0.7.1 /usr/lib64/libdislocker.so

of course :-)

Comment 2 Ben Cotton 2019-10-31 20:18:37 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:22:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2020-08-05 00:14:02 UTC
FEDORA-EPEL-2020-5f83c4d5e2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f83c4d5e2

Comment 5 Fedora Update System 2020-08-05 00:51:52 UTC
FEDORA-2020-f095589958 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f095589958

Comment 6 Fedora Update System 2020-08-05 00:52:39 UTC
FEDORA-2020-56fbfdb428 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-56fbfdb428

Comment 7 Fedora Update System 2020-08-05 01:18:48 UTC
FEDORA-EPEL-2020-5f83c4d5e2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f83c4d5e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-06 04:09:29 UTC
FEDORA-2020-f095589958 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f095589958`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f095589958

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-06 04:42:13 UTC
FEDORA-2020-56fbfdb428 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-56fbfdb428`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-56fbfdb428

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-08-14 00:41:56 UTC
FEDORA-2020-f095589958 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-08-14 02:43:21 UTC
FEDORA-2020-56fbfdb428 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-08-20 00:29:14 UTC
FEDORA-EPEL-2020-5f83c4d5e2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.